# EPF UAN Validation

This API validates the Universal Account Number (UAN) issued by the Employees' Provident Fund Office (EPFO) in India, ensuring secure authentication and verification of user UAN account.

## epf\_uan\_validation

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/epf_uan_validation`

#### Sample Request Body

<table><thead><tr><th width="167">Body</th><th width="148">Type</th><th>Mandatory</th><th width="217">Description</th></tr></thead><tbody><tr><td>UAN Number</td><td>string</td><td>Yes</td><td>UAN stands for Universal Account<br>Number. It is a unique 12-digit<br>identification number assigned to<br>employees contributing to the Employees'<br>Provident Fund (EPF) in India.</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "uanNumber": "123456789012",
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "36bca405-dcb2-48d5-a7b9-138b3aa539c3",
    "status": "completed",
    "result": {
        "name": "AJAY SINGH RAWAT",
        "uan": "123456789012",
        "dateOfExit": "31-AUG-2014",
        "dateOfJoining": "01-JAN-2013",
        "establishmentName": "UTTARKHAND VAN VIKAS NIGAM",
        "memberId": "UKDDN00370040000000209",
        "fatherOrHusbandName": "KEDAR SINGH RAWAT",
        "tenureOfEmployment": 20
    },
    "requested_at": "2026-04-29T07:33:17.682Z",
    "completed_at": "2026-04-29T07:33:20.039Z"
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "UAN should not be empty",
    "error": {
        "message": "UAN should not be empty",
        "field": "uanNumber",
        "code": "BAD_REQUEST"
    }
}

{
    "success": false,
    "code": 400,
    "message": "UAN should contain 12 digit number",
    "error": {
        "message": "UAN should contain 12 digit number",
        "field": "uanNumber",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="200 : In progress" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-04-29T07:33:29.760Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "c5608ba8-5c64-43f3-bb71-9c0aa001f576",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-04-29T07:33:29.760Z",
    "completed_at": "2026-04-29T07:33:32.330Z"
}
```

{% endtab %}
{% endtabs %}

## Get details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/services/business_profile/epf_uan_validation`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id </td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "36bca405-dcb2-48d5-a7b9-138b3aa539c3",
    "status": "completed",
    "result": {
        "name": "AJAY SINGH RAWAT",
        "uan": "123456789012",
        "dateOfExit": "31-AUG-2014",
        "dateOfJoining": "01-JAN-2013",
        "establishmentName": "UTTARKHAND VAN VIKAS NIGAM",
        "memberId": "UKDDN00370040000000209",
        "fatherOrHusbandName": "KEDAR SINGH RAWAT",
        "tenureOfEmployment": 20
    },
    "requested_at": "2026-04-29T07:33:17.682Z",
    "completed_at": "2026-04-29T07:33:20.039Z"
}
```

{% endtab %}

{% tab title="200: Inprogress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "b49bb6fe-b457-4af0-a8cf-599b9d29c687",
    "status": "in_progress",
    "requested_at": "2026-04-29T07:33:29.760Z"
}
```

{% endtab %}

{% tab title="200: Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "c5608ba8-5c64-43f3-bb71-9c0aa001f576",
    "status": "failed",
    "error": {
        "message": "Invalid details were provided. Please submit valid details.",
        "code": "ERROR"
    },
    "requested_at": "2026-04-29T07:33:29.760Z",
    "completed_at": "2026-04-29T07:33:32.330Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/business-profile/epf-uan-validation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
